Bug 1263806 - fix ftbfs in rawhide by adding #ifdef QT_DEBUG wherever needed
fix ftbfs in rawhide by adding #ifdef QT_DEBUG wherever needed
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: mscore (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brendan Jones
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: ZedoraTracker ARM64/F-ExcludeArch-aarch64 F-ExcludeArch-ppc64le/PPC64LETracker
  Show dependency treegraph
 
Reported: 2015-09-16 14:36 EDT by Marcin Juszkiewicz
Modified: 2015-09-23 00:08 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.0.1-5.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-23 00:08:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcin Juszkiewicz 2015-09-16 14:36:02 EDT
Description of problem:

mscore fails to build from source on all architectures

Version-Release number of selected component (if applicable):

2.0.1-4

How reproducible:

always

Steps to Reproduce:
1. do a build

Actual results:

ftbfs

Expected results:

builds

Additional info:

I wonder did upstream do builds without QT_DEBUG enabled.
Comment 1 Marcin Juszkiewicz 2015-09-17 04:46:15 EDT
Upstream pointed me to fix present in their git repository. Merged and pushed to rawhide.
Comment 2 Fedora Update System 2015-09-17 13:48:22 EDT
mscore-2.0.1-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16120
Comment 3 Fedora Update System 2015-09-17 17:29:20 EDT
mscore-2.0.1-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update mscore'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16120
Comment 4 Fedora Update System 2015-09-23 00:08:36 EDT
mscore-2.0.1-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.